PYXBGEN(1)

NAME
pyxbgen-py3 — Python XML Schema Bindings Generator (Python3 version)

SYNOPSIS

pyxbgen-py3 [command] [[options]] [[more schema locations...]]

DESCRIPTION

This manual page documents briefly the pyxbgen-py3 command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

pyxbgen-py3 is a program that generates Python bindings from XML schema files or WSDL input.

Generic Options

--version
    Show program’s version number and exit.

--help
    Show help message and exit.

Identifying Schema

Specify and locate schema for which bindings should be generated.

-u FILE_or_URL                     --schema-location=FILE_or_URL
    Add the location of an entrypoint schema. The provided value should be a URL. If it does not have a URL scheme (e.g., http:), it is assumed to be a file, and if it is not an absolute path is located relative to the schemaRoot.

--schema-root=DIRECTORY
    The directory from which entrypoint schemas specified as relative file paths will be read.

--schema-stripped-prefix=TEXT
    Optional string that is stripped from the beginning of schemaLocation values before loading from them. This applies only to the values of schemaLocation attributes in import and include elements. Its purpose is to convert absolute schema locations into relative ones to allow offline processing when all schema are available in a local directory. See schemaRoot.

--location-prefix-rewrite=TEXT
    Add a rewrite entry for schema locations. Parameter values are strings of the form pfx=sub. The effect is that a schema location that begins with pfx is rewritten so that it instead begins with sub.

--uri-content-archive-directory=DIRECTORY
    The directory path into which any content retrieved by URI will be written. This serves as a local cache, and to give you an opportunity to inspect material retrieved from some other system.

Configuring Bindings

Specify where generated bindings should be written, and how they will be accessed from Python.

-m MODULE                     --module=MODULE
    Add a module name corresponding to an entrypoint schema. The namespace defined by the corresponding schema will be written to a binding using the given module name, adjusted by modulePrefix.

--module-prefix=MODULE
    The prefix for binding modules. The base name for the module holding a binding is taken from the moduleList, moduleMap, or an XMLNS prefix associated with the namespace in a containing schema. This value, if present, is used as a prefix to allow a deeper module hierarchy.

--binding-root=DIRECTORY
    The directory path into which generated bindings will be written.

--write-for-customization
    Indicates whether the binding Python code should be written into a sub-module for customization. If enabled, a module path.to.namespace will be written to the file path/to/raw/namespace.py, so that the file path/to/namespace.py can import it and override behavior. This option turns on the feature.

--no-write-for-customization
    Indicates whether the binding Python code should be written into a sub- module for customization. If enabled, a module path.to.namespace will be written to the file path/to/raw/namespace.py, so that the file path/to/namespace.py can import it and override behavior. This option turns off the feature (default).

SEE ALSO

pyxbdump-py3(1), pyxbwsdl-py3(1).

AUTHOR

This manual page was written by fladi FladischerMichael@fladi.at for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.